Name:           clusterPy
Version:        0.9.9
Release:        3%{?dist}
Summary:        Library of spatially constrained clustering algorithms

Group:          Development/Libraries
License:        BSD
URL:            http://www.rise-group.org/risem/clusterpy
Source0:        http://clusterpy.googlecode.com/files/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel

Requires:       numpy

%description
Analytical regionalization is a scientific way to decide how to group or
cluster a large number of geographic areas or points into a smaller number
of regions based on their similarities. ClusterPy offers the following
clustering algorithms: Arisel, AZP, AZP-Simulated Annealing, AZP-Tabu,
AZP-R-Tabu, Max-p-regions (Tabu), AMOEBA, SOM and geoSOM.

%prep
%setup -q


%build
%{__python} setup.py build

# Examples point to clusterpy/data_examples
# http://clusterpy.googlecode.com/files/california_shapefile.zip
# http://clusterpy.googlecode.com/files/china_shapfile.zip
# Is that data free and shall we ship it?


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.txt LICENSE.txt
%{python_sitelib}/clusterpy
%{python_sitelib}/%{name}-%{version}-py*.egg-info
# These two scripts are also in the examples directory, have no shebang
# and seem to serve no purpose otherwise.


%changelog
* Wed Oct 05 2011 Volker Fröhlich <volker27@gmx.at> - 0.9.9-3
- Remove index.html from URL
- Updated package summary

* Fri Jun 03 2011 Volker Fröhlich <volker27@gmx.at> - 0.9.9-2
- Better description and summary

* Fri Jun 03 2011 Volker Fröhlich <volker27@gmx.at> - 0.9.9-1 
- Initial package for Fedora
